Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 280369 - x11-libs/gtk+: gdk throwing critical assertions
Summary: x11-libs/gtk+: gdk throwing critical assertions
Status: VERIFIED NEEDINFO
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] GNOME (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-08-04 20:42 UTC by Robert Bradbury
Modified: 2010-12-30 13:10 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge --info and assorted package versions at the end (EmrgInfo.lst,4.61 KB, text/plain)
2009-08-05 06:16 UTC, Robert Bradbury
Details
Gif file which causes problems in Gimp (Throbber-small.gif,825 bytes, image/gif)
2009-08-05 06:31 UTC, Robert Bradbury
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Bradbury 2009-08-04 20:42:40 UTC
This error pops up on random images.  I've seen it occur in Gimp when simply displaying the image and in Firefox when displaying certain pages (esp. abstracts at PNAS.org as well as non-PNAS sites).  It does not occur for all images, perhaps only those which are quite small(16x16?).

Reproducible: Always

Steps to Reproduce:
1. Run gimp on either "loading-image.gif" (or .../mozilla/extensions/irc/xul/skin/images/face-rofl.png from the Firefox source distribution)
2. Error occurs on program console.


Actual Results:  
Gdk throws critical errors when they are probably not necessary.

Expected Results:  
Throwing new errors from images which probably work fine is presumably undesirable.

See Mozilla (Firefox) Bug #507910.
Comment 1 Gilles Dartiguelongue gentoo-dev 2009-08-04 23:13:47 UTC
> Gdk-CRITICAL **: gdk_x11_atom_to_xatom_for_display assertion `atom != GDK_NONE' failed

An emerge -pv gtk+ and emerge --info seems in order.
Comment 2 Robert Bradbury 2009-08-05 06:16:26 UTC
Created attachment 200233 [details]
emerge --info and assorted package versions at the end

Sorry.  Here is the version information.  Note that this may not be a Gentoo specific bug but a Gnome (Gtk+) bug as there are seem to be a couple of reports of this problem in the Mozilla (firefox) bug database over the last 1-2 months and they may not be running Gentoo Linux.  But pushing it from Gentoo to Gnome may have somewhat more throw weight and I as an end-user want the Gtk+ patches included as quickly as possible in the Gentoo updates.  There are now at least 3 Gtk+ related bugs (the most recent being the xatom problem) I am tracking in the Mozilla bug database and isolating the older problems depends in part on using libraries which have the more recent problems resolved.
Comment 3 Robert Bradbury 2009-08-05 06:31:28 UTC
Created attachment 200234 [details]
Gif file which causes problems in Gimp

The attached GIF file when displayed in Gimp (e.g. gimp Throbber-small.gif) throws the Gdk error.  The file is from the top level directory of a recent Firefox CVS (3.0.12pre) install though I'm not sure exactly when (or if) it is used when running Firefox.
Comment 4 Gilles Dartiguelongue gentoo-dev 2009-08-05 06:55:49 UTC
could you paste the URLs from the mozilla bugs you are tracking. I see no such message when starting the gimp with the throbber.
Comment 5 fabio de francesco 2009-08-06 09:30:27 UTC
I'm having the same message while trying to start eclipse-3.4 which itself eventually crashes.
Comment 6 Gilles Dartiguelongue gentoo-dev 2009-08-26 14:05:29 UTC
*** Bug 282737 has been marked as a duplicate of this bug. ***
Comment 7 Justin Lecher (RETIRED) gentoo-dev 2009-08-26 16:24:39 UTC
As requested in the dupe bug


These are the packages that would be merged, in reverse order:

Calculating dependencies  .... done!
[ebuild   R   ] net-libs/xulrunner-1.9.1.2-r1  USE="alsa custom-optimization gnome java python -dbus -debug -startup-notification" 0 kB
[ebuild   R   ]  x11-libs/gtk+-2.16.5  USE="X cups jpeg tiff -debug -doc -jpeg2k -test -vim-syntax -xinerama" 0 kB
[ebuild   R   ]   x11-libs/pango-1.24.5  USE="X -debug -doc" 0 kB
[ebuild   R   ]    dev-libs/glib-2.20.4  USE="-debug -doc -fam -hardened (-selinux) -xattr" 0 kB
[ebuild   R   ]    x11-libs/cairo-1.8.8  USE="X opengl svg -cleartype -debug -directfb -doc -glitz -xcb" 0 kB

Total: 5 packages (5 reinstalls), Size of downloads: 0 kB
Comment 8 Mart Raudsepp gentoo-dev 2009-09-19 09:36:20 UTC
Please try again with gtk+-2.16.6, it handles some other GDK_NONE atom case properly or something like that, that is very relevant for this warning.
In other words, I'm 95% sure 2.16.6 removes the (harmless?) warning; please confirm
Comment 9 Pacho Ramos gentoo-dev 2010-03-13 10:32:24 UTC
(In reply to comment #8)
> Please try again with gtk+-2.16.6, it handles some other GDK_NONE atom case
> properly or something like that, that is very relevant for this warning.
> In other words, I'm 95% sure 2.16.6 removes the (harmless?) warning; please
> confirm
> 

Please reply

Thanks
Comment 10 Gilles Dartiguelongue gentoo-dev 2010-12-30 13:10:59 UTC
Due to lack of updated information in the last 2 weeks, there is no way we can further help you solve this problem. Thanks for reporting anyway.